package com.redhat.thermostat.tools.eclipse.plugin.tests.model;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;
import static com.redhat.thermostat.tools.eclipse.plugin.tests.model.PropertyChangeRecorder.assertPropertyChanged;

import org.junit.Before;
import org.junit.Test;

import com.redhat.thermostat.tools.eclipse.plugin.model.Environments;

public class EnvironmentsTest {

    private Environments environments;
    private PropertyChangeRecorder recorder;

    @Before
    public void setUp() {
        environments = new Environments();
        recorder = new PropertyChangeRecorder();
        environments.addPropertyChangeListener(recorder);
    }

    @Test
    public void testCli() {
        assertFalse(environments.isCli());

        environments.setCli(true);

        assertTrue(environments.isCli());
        assertPropertyChanged(recorder, environments, "cli", false, true);

        environments.setCli(false);

        assertFalse(environments.isCli());
        assertPropertyChanged(recorder, environments, "cli", true, false);
    }

    @Test
    public void testShell() {
        assertFalse(environments.isShell());

        environments.setShell(true);

        assertTrue(environments.isShell());
        assertPropertyChanged(recorder, environments, "shell", false, true);

        environments.setShell(false);

        assertFalse(environments.isShell());
        assertPropertyChanged(recorder, environments, "shell", true, false);
    }

}
